$color: #3BB77E;
$colorRight: darken(#3BB77E, 15%);
$colorLeft: darken(#3BB77E, 5%);
$shadow: #DBE3F4;


#loader {

    width: 100%;
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;

}

.loader-content {
    max-width: 190px;
    width: 100%;
    margin: 0 auto;
}

.loader-logo {
    display: flex;
    justify-content: space-between;
    align-items: center;
    left: 90px;

    .loader-logo__text {
        display: flex;
        flex-direction: column;

        .loader-logo__text-gusto {
            font-size: 40px;
            line-height: 42px;
            color: #3BB77E;
            font-weight: 800;
        }


        .loader-logo__text-shop {
            font-size: 16px;
            line-height: 18px;
            color: #000;
            font-weight: 600;
            text-align: center;
        }


    }
}


.boxes-wrap {
    display: flex;
    justify-content: center;
    padding-top: 50px;
}

.boxes {
    --size: 32px;
    --duration: 800ms;
    height: calc(var(--size) * 2);
    width: calc(var(--size) * 3);
    position: relative;

    transform-style: preserve-3d;
    transform-origin: 50% 50%;
    margin-top: calc(var(--size) * 1.5 * -1);
    transform: rotateX(60deg) rotateZ(45deg) rotateY(0deg) translateZ(0px);

    .box {
        width: var(--size);
        height: var(--size);
        top: 0;
        left: 0;
        position: absolute;
        transform-style: preserve-3d;

        &:nth-child(1) {
            transform: translate(100%, 0);
            animation: box1 var(--duration) linear infinite;
        }

        &:nth-child(2) {
            transform: translate(0, 100%);
            animation: box2 var(--duration) linear infinite;
        }

        &:nth-child(3) {
            transform: translate(100%, 100%);
            animation: box3 var(--duration) linear infinite;
        }

        &:nth-child(4) {
            transform: translate(200%, 0);
            animation: box4 var(--duration) linear infinite;
        }

        &>div {
            --background: #{$color};
            --top: auto;
            --right: auto;
            --bottom: auto;
            --left: auto;
            --translateZ: calc(var(--size) / 2);
            --rotateY: 0deg;
            --rotateX: 0deg;
            position: absolute;
            width: 100%;
            height: 100%;
            background: var(--background);
            top: var(--top);
            right: var(--right);
            bottom: var(--bottom);
            left: var(--left);
            transform: rotateY(var(--rotateY)) rotateX(var(--rotateX)) translateZ(var(--translateZ));

            &:nth-child(1) {
                --top: 0;
                --left: 0;
            }

            &:nth-child(2) {
                --background: #{$colorRight};
                --right: 0;
                --rotateY: 90deg;
            }

            &:nth-child(3) {
                --background: #{$colorLeft};
                --rotateX: -90deg;
            }

            &:nth-child(4) {
                --background: #{$shadow};
                --top: 0;
                --left: 0;
                --translateZ: calc(var(--size) * 3 * -1);
            }
        }
    }
}

@keyframes box1 {

    0%,
    50% {
        transform: translate(100%, 0);
    }

    100% {
        transform: translate(200%, 0);
    }
}

@keyframes box2 {
    0% {
        transform: translate(0, 100%);
    }

    50% {
        transform: translate(0, 0);
    }

    100% {
        transform: translate(100%, 0);
    }
}

@keyframes box3 {

    0%,
    50% {
        transform: translate(100%, 100%);
    }

    100% {
        transform: translate(0, 100%);
    }
}

@keyframes box4 {
    0% {
        transform: translate(200%, 0);
    }

    50% {
        transform: translate(200%, 100%);
    }

    100% {
        transform: translate(100%, 100%);
    }
}

html {
    -webkit-font-smoothing: antialiased;
}